openmpi (5.0.10-1) unstable; urgency=medium

  * New upstream release
  * Include mofed files in d/source that get deleted by pristine-tar import

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 03 Mar 2026 06:52:48 +0000

openmpi (5.0.9-6) unstable; urgency=medium

  * mpirun requires libprrte-bin to be installed

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 Feb 2026 06:44:10 +0000

openmpi (5.0.9-5) unstable; urgency=medium

  * Drop debian/libopenmpi3t64.lintian-overrides
  * Build-dep on libpmix-bin for pmixcc (LTO support)
  * cme: paths should not lead with '/'
  * Use external prrte

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 26 Feb 2026 14:08:31 +0000

openmpi (5.0.9-4) experimental; urgency=medium

  * Build with UCC (Unified collectives) support

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 14 Feb 2026 09:05:32 +0000

openmpi (5.0.9-3) unstable; urgency=medium

  * Standards-Version: 4.7.3
  * d/control: Priority optional dropped
  * d/control: updated depends with 'cme fix'
  * Use pre-computed DEB_HOST_MULTIARCH
  * d/gbp.conf: upstream is default for DEP-14

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 14 Feb 2026 09:05:14 +0000

openmpi (5.0.9-2) experimental; urgency=medium

  * Drop MA:foreign from openmpi-bin (#1057727)
  * Ditto dropping MA: same from libopenmpi-dev. Closes: #983600
  * Drop obsolete breaks/replaces/conflicts
  * Drop Spurious build-dep on libpsm-infinipath1-dev. Closes: #1101509
  * Add salsa-ci.yml to enable CI automatically
  * Close previously fixed bug: Closes: #910251
  * Updated build_hurd patch from Drew Parsons. Closes: #1120217
  * B-D on sphinx-common for dh_sphinxdoc
  * d/watch now at version 4
  * Re-enable UCX by default in openmpi-mca-params.conf.
    Closes: #1094805
  * openmpi-bin.postinst/prerm: delete obsolete conffiles
  * Enable ucx for loong64. Closes: #1118105
  * openmpi-doc: dep on node-mathjax-full for tex-mml-chtml.js
  * privacy-mathjax.patch: Use local files not web

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 13 Dec 2025 14:49:55 +0000

openmpi (5.0.9-1) unstable; urgency=medium

  *  upstream release
  *  libprrte.so now at version 3.0.12
  * Use dh-fortran-sequence

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 12 Nov 2025 08:32:13 +0000

openmpi (5.0.8-10) unstable; urgency=medium

  * Revert to using external pmix, now its reverted to v5

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 18 Sep 2025 11:48:32 +0100

openmpi (5.0.8-9) unstable; urgency=medium

  * Fix patch update that didn't get included in -8 properly

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 Sep 2025 11:20:26 +0100

openmpi (5.0.8-8) unstable; urgency=medium

  * Fix hard-coded fortran mod directory in patch. Closes: #1097520

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Sep 2025 15:55:38 +0100

openmpi (5.0.8-7) unstable; urgency=medium

  * Rebuild with gfortran-15, update FMODDIR in d/rules. Closes: #1097520
  * Close bug, fixed with pmix 6.0.0-3 upload. Closes: #1112049

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Sep 2025 10:15:55 +0100

openmpi (5.0.8-6) unstable; urgency=medium

  * Partial revert of 1107591 that breaks compilation
  * Properly close bug. Closes: #1112291

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Aug 2025 09:04:55 +0100

openmpi (5.0.8-5) unstable; urgency=medium

  [ Alastair McKinstry ]
  * Ship pmix_zlib.so plugin. Closes: #1112291
  * Close bug fixed in pmix. Closes: #1112049

  [ Helmut Grohe ]
  * Make Build-Depends compatible with cross building. Closes: #1107591

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 29 Aug 2025 13:25:06 +0100

openmpi (5.0.8-4) unstable; urgency=medium

  * Ship missing docs that break tests. Closes: #1112181

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 27 Aug 2025 15:10:10 +0100

openmpi (5.0.8-3) unstable; urgency=medium

  * Fix breaks/replaces for libpmix2t64 version.
  * Close old bug. Closes: #1111199

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 25 Aug 2025 15:42:08 +0100

openmpi (5.0.8-2) unstable; urgency=medium

  * Use internal pmix. Closes: #1111125

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Aug 2025 11:10:34 +0100

openmpi (5.0.8-1) experimental; urgency=medium

  * New upstream release
    - sshmem.patch: fixed upstream
  * Standards-Version: 4.7.2
  * Updated library minor versions:
    - libprrte.so.3.0.11

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 05 Jun 2025 16:36:20 +0100

openmpi (5.0.7-1) unstable; urgency=medium

  * New upstream release
  * prte_data_server.patch: Merged upstream
  * Update/fix metadata on d/patches
  * Updated library minor versions:
    - libmpi.so.40.40.7
    - libprrte.so.3.0.8
  * sshmmem.patch: cast to fix  Wint-conversion
  * Don't install pcc

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 17 Feb 2025 13:09:46 +0000

openmpi (5.0.6-4) unstable; urgency=medium

  * Strip rpath from wrapper files. Closes: #1085509
  * Build-dep on pmix > 5.0.6-2 for symlink fix

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 09 Feb 2025 09:54:48 +0000

openmpi (5.0.6-3) unstable; urgency=medium

  * Fix broken symlink libprrte.so. Closes: #1088767
  * Add Rules-Requires-Root: no
  * Drop kfreebsd-* support

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 02 Dec 2024 05:44:06 +0000

openmpi (5.0.6-2) unstable; urgency=medium

  * Typo in libprrte.so link
  * Upstream patch for prte type  error. Closes: #1087800

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Nov 2024 11:33:09 +0000

openmpi (5.0.6-1) experimental; urgency=medium

  * Upstream 5.0.6 bugfix release
  * Don't ship orte.pc
  * Merge 5.0.5-6 changes to debian/experimental for transition.
    Closes: #1087683, #1078026
  * Fix PRTE bug for #1087800 (prte-types.patch)
  * Updated library minor versions:
    - libmpi_mpifh.so.40.40.1
    - libmpi_usempi_ignore_tkr.so.40.40.1
    - libmpi_usempif08.so.40.40.3
    - libmpi_java.so.40.40.1
    - libmpi.so.40.40.6
    - libopen-pal.so.80.0.5
    - liboshmem.so.40.40.4
    - libprrte.so.3.0.7

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 19 Nov 2024 11:05:55 +0000

openmpi (5.0.5-6) unstable; urgency=medium

  * libmca_* not shipped; delete broken symlinks
  * Fix other broken symlinks: docs,etc
  * Correct paths in mpi wrappers. Closes: #1086209, #10870100
  * Update d/tests/* for  pkgconf tests
  * Drop rpath from libs. Closes: #1085509
  * Update README.Debian

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 09 Nov 2024 06:29:12 +0000

openmpi (5.0.5-4) experimental; urgency=medium

  * Transition: libopenmpit364 -> libopenmpi40, as libmpi_cxx dropped
  * Avoid passing FMODDIR to wrapper data for arch-dependent paths;
    sed to ${libdir}/.. instead.  Closes: #1085258
  * Move pkg-config -> pkgconf
  * openmpi-doc: depend on libjs-jquery, fonts-font-awesome
  * Add riscv64 to libucx-dev build-dep

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Oct 2024 05:12:40 +0100

openmpi (5.0.5-3) unstable; urgency=medium

  * Ensure files not installed in a binary-indep build are listed in
    d/not-installed. Closes: #1085151
  * Fix 2 links that were not updated
    libmpi.so.40.40.5
    libmpi_usempif08-gfortran.so.40.40.2
  * Drop obsolete refs to kfreebsd-i386 in d/control

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 16 Oct 2024 11:03:15 +0100

openmpi (5.0.5-2) unstable; urgency=medium

  * Push to unstable for pseudo-transition. Closes: #1078212

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 13 Oct 2024 17:53:18 +0100

openmpi (5.0.5-1) experimental; urgency=medium

  * New upstream release
  * Ack old bug fixed: Closes: #1070985

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 24 Jul 2024 07:48:34 +0100

openmpi (5.0.4-1) experimental; urgency=medium

  * New upstream release
  * libs change:
    libmpi.so.40.40.3  -> libmpi.so.40.40.4
    libmpi_usempif08.so.40.40.1 -> libmpi_usempif08.so.40.40.2
    libopen-pal.so.80.0.3 -> libopen-pal.so.80.0.4
    liboshmem.so.40.40.2 -> liboshmem.so.40.40.3
    libprrte.so.3.0.5 -> libprrte.so.3.0.6

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 23 Jul 2024 08:56:29 +0100

openmpi (5.0.3-3) experimental; urgency=medium

  * Add t64 transition changes to 5.0.3 version; Closes: #1064263
  * S-V: 4.7.0; no changes required
  * Make science team the Maintainer

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 13 May 2024 15:33:51 +0100

openmpi (5.0.3-2) experimental; urgency=medium

  * Rename /usr/bin/pterm to pterm.openmpi. Closes: #1056054, #1068808

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 11 Apr 2024 16:16:39 +0100

openmpi (5.0.3-1) experimental; urgency=medium

  * New upstream release
  * Ensure mpiexec.openmpi -> mpirun.openmpi not mpirun, as mpirun may 
    be redirected by alternatives
  * pcc no longer shipped?
  * libs change:
     libopen-pal.so.80.0.2 -> libopen-pal.so.80.0.3
     libprrte.so.3.0.3 -> libprrte.so.3.0.5
     liboshmem.so.40.40.1 -> liboshmem.so.40.40.2
     libmpi.so.40.40.2 -> 40.40.3

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Apr 2024 14:29:18 +0100

openmpi (5.0.2-1) experimental; urgency=medium

  * New upstream release
  * libs change:
     liboshmem.so.40.40.0 -> liboshmem.so.40.40.1
     libopen-pal.so.80.0.0 -> libopen-pal.so.80.0.2
     libprrte.so.3.0.2 -> libprrte.so.3.0.3
     libmpi.so.40.40.0 -> 40.40.2
     libmpi_usempif08.so.40.40.0 -> libmpi_usempif08.so.40.40.1
  * B-D on architecture-is-64-bit. No longer support 32-bit systems
  * libopenmpi-dev.postinst.in: drop mpic++ links for >= 5.0.0
  * autopkg tests must not have underscores in names
  * Add pkgconfi to tests
  * libopenmpi-dev deps on fortran:Depends

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 10 Feb 2024 12:25:11 +0000

openmpi (5.0.1-1) experimental; urgency=medium

  * New upstream release
  * libs change: 
      libprrte.so.3.0.2 -> libprrte.so.3.0.3
      libopen-pal.so.80.0.0 -> libopen-pal.so.80.0.1
      liboshmem.so.40.40.0  -> liboshmem.so.40.40.1

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Jan 2024 16:34:38 +0000

openmpi (5.0.0-1) experimental; urgency=medium

  * New upstream release
  * libs change: 
      liboshmem.so.40.30.3 -> liboshmem.so.40.40.0
      libmpi_java: 40.30.0 -> libmpi_java.so.40.40.0
      libopen-pal.40.30.3 -> libopen-pal.80.0.0
      libmpi.so.40.30.6   -> libmpi.so.40.40.0
      libmpifh.so.40.40.0 -> libmpifh.40.40.0
      libmpi_usempif08.so.40.30.0 -> libmpi_usempif08.so.40.40.0
      libmpi_usempi_ignore_tkr.so.40.30.0 -> libmpi_usempi_ignore_tkr.so.40.40.0
      libompitrace.so.40.30.1 -> libompitrace.so.40.40.0
      libopen-rte.so.40.30.3 no longer shipped
      libmca_* no longer shipped
      Now ship libprrte.so.3.0.2

  * Patch for hurd-amd64 thanks to Sam Thibault. Closes: #1055425
  * Disable C++ support - dropped from MPI standard
  * B-D on python3-sphinx-rtd-theme,  python3-recommonmark for docs

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 14 Nov 2023 19:17:54 +0000

openmpi (4.1.6-13) unstable; urgency=medium

  * Move pmix help files to libopenmpi3t64, not openmpi3-common

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 27 Apr 2024 17:37:26 +0100

openmpi (4.1.6-12) unstable; urgency=medium

  * Use Conflicts/Provides/Replaces libpmix2. Closes: #1068735
  * Patch from Adrian Bunk for atomics.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Apr 2024 14:45:23 +0100

openmpi (4.1.6-11) unstable; urgency=medium

  * Ship help text files for pmix. Closes: #1069106

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Apr 2024 11:15:11 +0100

openmpi (4.1.6-10) unstable; urgency=medium

  * libopenmpi3t64 breaks/replaces libpmix2t64 not libpmix2.
    Closes: #1068735

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 11 Apr 2024 10:25:06 +0100

openmpi (4.1.6-9) unstable; urgency=medium

  * Ship pmix on 32-bit systems; ensure we break/depend on libpmix on 32-bit
    systems. Closes: #1067784, #1068612

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 09 Apr 2024 09:17:18 +0100

openmpi (4.1.6-8) unstable; urgency=medium

  * Only dep on libpmix on 64-bit systems.
  * Disable modules that need 64-bit atomic ops on 32-bit systems.
    Closes: #1067055

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 Apr 2024 14:34:22 +0100

openmpi (4.1.6-7) unstable; urgency=medium

  * Drop hard-coded pmix2 dependency. Closes: #1066885

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Mar 2024 06:14:07 +0000

openmpi (4.1.6-6) unstable; urgency=medium

  * Patch from Zixing Liu to change libnames in d/rules for t64 transition.
    Closes: #1066834

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Mar 2024 08:19:07 +0000

openmpi (4.1.6-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064263

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 12:37:33 +0000

openmpi (4.1.6-5) unstable; urgency=medium

  * Ensure pkg-config is present for autopkgtests

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Jan 2024 17:14:56 +0000

openmpi (4.1.6-4) unstable; urgency=medium

  * Revert FMODDIR to libdir via dh-fortran-mod >= 0.31.
    Closes: #1058876
  * Add fortran-suppport.mk 
  * Add fortran:Depends, fortran:Recommends to libopenmpi-dev
  * Depend on dh-fortran-mod (>= 0.31)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Jan 2024 17:14:39 +0000

openmpi (4.1.6-3) unstable; urgency=medium

  * Pass FMODDIR into pkg-config. Closes: #1058876
  * Update mpi wrappers data for fmoddir
  * Now ship pkg-config  ompi-f77.pc, opal.pc links in d/libopenmpi-dev
  * Expand debian/tests to cover mpi wrapper, pkg-config compiles

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 Dec 2023 14:06:07 +0000

openmpi (4.1.6-2) unstable; urgency=medium

  * Fix change of FMODDIR to /usr/include*. Closes: #1058526

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Dec 2023 08:57:13 +0000

openmpi (4.1.6-1) unstable; urgency=medium

  * New upstream release
  * Minor link change: libmpi.so.40.30.5 -> libmpi.so.40.30.6

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Oct 2023 13:00:06 +0100

openmpi (4.1.5-3) unstable; urgency=medium

  * Rebuild against gcc-13. Closes: #1050031

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Aug 2023 09:51:43 +0100

openmpi (4.1.5-2) unstable; urgency=medium

  * Standards-Version: 4.6.2
  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Jun 2023 12:13:42 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog openmpi-doc`.
